## commands

cmd_log := echo "--"
cmd_quarto := quarto

## rules

all: \
	${dir_build}/praesentation.html \
	${dir_build}/fortlaufend.html \
	${dir_build}/index.html

${dir_build}/praesentation.html: ${dir_source}/main.qmd
	@ ${cmd_log} "Präsentation …"
	@ ${cmd_quarto} render $^ --quiet --to revealjs --output-dir ${dir_build} && mv ${dir_build}/main.html $@

${dir_build}/fortlaufend.html: ${dir_source}/main.qmd
	@ ${cmd_log} "Fortlaufend …"
	@ ${cmd_quarto} render $^ --quiet --to html --output-dir ${dir_build} && mv ${dir_build}/main.html $@

${dir_build}/druck.pdf: ${dir_source}/main.qmd
	@ ${cmd_log} "Druck …"
	@ ${cmd_quarto} render $^ --quiet --to pdf --output-dir ${dir_build} # && mv ${dir_build}/main.html $@

${dir_build}/index.html: ${dir_source}/index.html
	@ ${cmd_log} "index …"
	@ cp -u $^ $@

